Bug Hunting Session
Bug 65563 - RTL: Arabic/Hebrew text appears left aligned during cell edit when horizontal text alignment is set to Default
Summary: RTL: Arabic/Hebrew text appears left aligned during cell edit when horizontal...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Cell-Edit-Mode
  Show dependency treegraph
 
Reported: 2013-06-09 06:55 UTC by Muhammad Bashir Al-Noimi
Modified: 2019-09-18 02:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Wrong layout during editing the cell (1.22 KB, image/png)
2013-06-09 06:55 UTC, Muhammad Bashir Al-Noimi
Details
Wrong layout during editing the cell (1.22 KB, image/png)
2013-06-09 06:56 UTC, Muhammad Bashir Al-Noimi
Details
After finish editing the cell (1.03 KB, image/png)
2013-06-09 06:57 UTC, Muhammad Bashir Al-Noimi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Bashir Al-Noimi 2013-06-09 06:55:03 UTC
All the Arabic text with Right To Left layout appears in Left To Right layout during input process then back to the right layout after finishing editing process.


PS
I'm not sure if bug appears on Windows machines
Comment 1 Muhammad Bashir Al-Noimi 2013-06-09 06:55:41 UTC Comment hidden (obsolete)
Comment 2 Muhammad Bashir Al-Noimi 2013-06-09 06:56:38 UTC
Created attachment 80555 [details]
Wrong layout during editing the cell
Comment 3 Muhammad Bashir Al-Noimi 2013-06-09 06:57:09 UTC
Created attachment 80556 [details]
After finish editing the cell
Comment 4 Fahad Al-Saidi 2013-06-09 07:25:24 UTC
confirm in 4.1 beta 1
Comment 5 Ahmad Harthi 2013-06-09 07:44:54 UTC Comment hidden (obsolete)
Comment 6 Ahmad Harthi 2013-06-09 07:49:13 UTC Comment hidden (obsolete)
Comment 7 Fahad Al-Saidi 2013-06-09 08:03:00 UTC Comment hidden (obsolete)
Comment 8 Lior Kaplan 2013-06-09 17:10:24 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2015-03-17 00:03:46 UTC Comment hidden (obsolete)
Comment 10 Lior Kaplan 2015-03-20 09:29:08 UTC
Still happens in 4.3.3 when layout isn't explicitly set, but hinted by direction (LTR,RTL). This happens regardless of sheet direction.
Comment 11 tommy27 2016-04-16 07:26:44 UTC Comment hidden (obsolete)
Comment 12 Lior Kaplan 2017-10-12 10:47:49 UTC
Still happens in LibreOffice 5.4.1.
Comment 13 Yousuf Philips (jay) (retired) 2017-10-13 11:02:03 UTC
So the problem is that though RTL is enabled on a cell, the 'Default' value set to horizontal text alignment is always putting it as left aligned rather than right aligned.

Simple work around: set the cell's alignment to right.

Eike, Bubli: Would this be an easy fix?
Comment 14 Eike Rathke 2017-10-13 14:03:58 UTC
That analysis is not quite correct. The default cell alignment is *non-aligned*, how content is displayed horizontally aligned depends on the actual content. When editing cell content the EditEngine is used that seems to default to left-aligned (didn't check). Setting a hard alignment attribute at the cell is not correct and will break other things. Instead, the algorithm that decides how to align for display must also be used to set the default alignment for the EditEngine when in edit mode.
Comment 15 Omer Zak 2017-11-03 19:26:06 UTC
Still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)


I tested with Hebrew text, while the spreadsheet is set to default (LTR) direction (Sheet > Right-To-Left is unchecked).
Comment 16 Eyal Rozenberg 2018-09-17 17:24:18 UTC
(In reply to Eike Rathke from comment #14)
That change seems like an easy fix for a developer who knows her/his way around the "EditEngine" - or am I wrong?

Anyway, the bug still manifests with versionn 6.1.1.2 .
Comment 17 QA Administrators 2019-09-18 02:53:39 UTC
Dear Muhammad Bashir Al-Noimi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug